--[[
MIT License

Copyright (c) 2025 SCPF-Initiative

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
]]
-- MADE BY LISA NIGHTSHADE @PlurrYT (lisa_ns)
-- DISCORD _lisa_ns_
-- License link: http://lhhomeserver.ddns.net:3000/SCPF-Initiative/teamchatcolor/src/branch/main/LICENSE
-- Repo link: http://lhhomeserver.ddns.net:3000/SCPF-Initiative/teamchatcolor/src/branch/main

local TextChatService = game:GetService("TextChatService")
local Players = game:GetService("Players")

TextChatService.OnBubbleAdded = function(message: TextChatMessage, adornee: Instance)
	if string.find(message.TextChannel.Name,"Team") then 
		if message.TextSource then
			local bubbleProperties = Instance.new("BubbleChatMessageProperties")
			
			bubbleProperties.TextColor3 = Color3.fromRGB(255, 255, 255)
			bubbleProperties.BackgroundColor3 = Color3.fromRGB(25, 27, 27)

			return bubbleProperties
		end
	elseif string.find(message.TextChannel.Name, "Whisper") then
		local bubbleProperties = Instance.new("BubbleChatMessageProperties")

		bubbleProperties.TextColor3 = Color3.fromRGB(255, 230, 200) 
		bubbleProperties.BackgroundColor3 = Color3.fromRGB(50, 50, 50)
		
		return bubbleProperties
	end
end
